| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
Digikam::DAbstractSliderSpinBox Class Referenceabstract
Inheritance diagram for Digikam::DAbstractSliderSpinBox:

## Public Member Functions
void | hideEdit ()
bool | isDragging () const
virtual QSize | minimumSize () const
QSize | minimumSizeHint () const override
void | setBlockUpdateSignalOnDrag (bool block)
| If set to block, it informs inheriting classes that they shouldn't emit signals if the update comes from a mouse dragging the slider.
void | setExponentRatio (double dbl)
void | setPrefix (const QString &prefix)
void | setSuffix (const QString &suffix)
void | showEdit ()
QSize | sizeHint () const override

## Protected Slots
void | contextMenuEvent (QContextMenuEvent *event) override
void | editLostFocus ()

## Protected Member Functions
| DAbstractSliderSpinBox (QWidget *const parent, DAbstractSliderSpinBoxPrivate *const q)
void | changeEvent (QEvent *e) override
QRect | downButtonRect (const QStyleOptionSpinBox &spinBoxOptions) const
bool | eventFilter (QObject *recv, QEvent *e) override
void | focusInEvent (QFocusEvent *e) override
void | keyPressEvent (QKeyEvent *e) override
void | mouseMoveEvent (QMouseEvent *e) override
void | mousePressEvent (QMouseEvent *e) override
void | mouseReleaseEvent (QMouseEvent *e) override
void | paint (QPainter &painter)
void | paintBreeze (QPainter &painter)
void | paintEvent (QPaintEvent *e) override
void | paintFusion (QPainter &painter)
void | paintPlastique (QPainter &painter)
QStyleOptionProgressBar | progressBarOptions () const
QRect | progressRect (const QStyleOptionSpinBox &spinBoxOptions) const
virtual void | setInternalValue (int value, bool blockUpdateSignal)=0
| Sets the slider internal value.
QStyleOptionSpinBox | spinBoxOptions () const
QRect | upButtonRect (const QStyleOptionSpinBox &spinBoxOptions) const
int | valueForX (int x, Qt::KeyboardModifiers modifiers=Qt::NoModifier) const
virtual QString | valueString () const =0
void | wheelEvent (QWheelEvent *e) override

## Protected Attributes
DAbstractSliderSpinBoxPrivate *const | d_ptr

## Member Function Documentation

## ◆ setBlockUpdateSignalOnDrag()

void Digikam::DAbstractSliderSpinBox::setBlockUpdateSignalOnDrag | ( | bool | block | ) |

Set this to true when dragging the slider and updates during the drag are not needed.

## ◆ setInternalValue()

virtual void Digikam::DAbstractSliderSpinBox::setInternalValue | ( | int | value,
|  | bool | blockUpdateSignal
| ) |  |
| protected pure virtual

Inheriting classes should respect blockUpdateSignal so that, in specific cases, we have a performance improvement. See setIgnoreMouseMoveEvents.

Implemented in Digikam::DSliderSpinBox, and Digikam::DDoubleSliderSpinBox.